SELECT "django_content_type"."id",
       "django_content_type"."app_label",
       "django_content_type"."model"
FROM "django_content_type"
WHERE ("django_content_type"."app_label" = 'documents'
       AND "django_content_type"."model" = 'corpus')
LIMIT 21;

SELECT "django_content_type"."id",
       "django_content_type"."app_label",
       "django_content_type"."model"
FROM "django_content_type"
WHERE ("django_content_type"."app_label" = 'users'
       AND "django_content_type"."model" = 'group')
LIMIT 21;

SELECT 1 AS "a"
FROM "users_right"
LEFT OUTER JOIN "users_group" ON ("users_right"."group_id" = "users_group"."id")
LEFT OUTER JOIN "users_right" T5 ON ("users_group"."id" = T5."content_id"
                                     AND (T5."content_type_id" = {group_type_id}))
WHERE ("users_right"."content_id" = '{corpus_id}'::uuid
       AND "users_right"."content_type_id" = {corpus_type_id}
       AND (("users_right"."user_id" = {user_id}
             AND "users_right"."level" >= {level})
            OR (T5."user_id" = {user_id}
                AND "users_right"."level" >= {level}
                AND T5."level" >= {level})))
LIMIT 1
